



<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      
        <meta name="description" content="Network API, manipulate your network infrastructure as code">
      
      
        <link rel="canonical" href="https://davidban77.gitlab.io/netapi/api/api_net_eos_reference/">
      
      
        <meta name="author" content="David Flores">
      
      
        <meta name="lang:clipboard.copy" content="Copy to clipboard">
      
        <meta name="lang:clipboard.copied" content="Copied to clipboard">
      
        <meta name="lang:search.language" content="en">
      
        <meta name="lang:search.pipeline.stopwords" content="True">
      
        <meta name="lang:search.pipeline.trimmer" content="True">
      
        <meta name="lang:search.result.none" content="No matching documents">
      
        <meta name="lang:search.result.one" content="1 matching document">
      
        <meta name="lang:search.result.other" content="# matching documents">
      
        <meta name="lang:search.tokenizer" content="[\s\-]+">
      
      <link rel="shortcut icon" href="../../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.0.4, mkdocs-material-4.4.3">
    
    
      
        <title>EOS - NetAPI</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/application.30686662.css">
      
        <link rel="stylesheet" href="../../assets/stylesheets/application-palette.a8b3c06d.css">
      
      
        
        
        <meta name="theme-color" content="#009688">
      
    
    
      <script src="../../assets/javascripts/modernizr.74668098.js"></script>
    
    
      
        <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700|Roboto+Mono&display=fallback">
        <style>body,input{font-family:"Roboto","Helvetica Neue",Helvetica,Arial,sans-serif}code,kbd,pre{font-family:"Roboto Mono","Courier New",Courier,monospace}</style>
      
    
    <link rel="stylesheet" href="../../assets/fonts/material-icons.css">
    
    
    
      
    
    
  </head>
  
    
    
    <body dir="ltr" data-md-color-primary="teal" data-md-color-accent="teal">
  
    <svg class="md-svg">
      <defs>
        
        
          <svg xmlns="http://www.w3.org/2000/svg" width="500" height="500" viewBox="0 0 500 500" id="__gitlab"><path fill="currentColor" d="M93.667 473.347l90.684-279.097H2.983l90.684 279.097z" transform="translate(156.198 1.16)"/><path fill="currentColor" d="M221.333 473.345L130.649 194.25H3.557l217.776 279.095z" transform="translate(28.531 1.16)" opacity=".7"/><path fill="currentColor" d="M32 195.155L4.441 279.97a18.773 18.773 0 0 0 6.821 20.99l238.514 173.29L32 195.155z" transform="translate(.089 .256)" opacity=".5"/><path fill="currentColor" d="M2.667-84.844h127.092L75.14-252.942c-2.811-8.649-15.047-8.649-17.856 0L2.667-84.844z" transform="translate(29.422 280.256)"/><path fill="currentColor" d="M2.667 473.345L93.351 194.25h127.092L2.667 473.345z" transform="translate(247.198 1.16)" opacity=".7"/><path fill="currentColor" d="M221.334 195.155l27.559 84.815a18.772 18.772 0 0 1-6.821 20.99L3.557 474.25l217.777-279.095z" transform="translate(246.307 .256)" opacity=".5"/><path fill="currentColor" d="M130.667-84.844H3.575l54.618-168.098c2.811-8.649 15.047-8.649 17.856 0l54.618 168.098z" transform="translate(336.974 280.256)"/></svg>
        
      </defs>
    </svg>
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" data-md-component="overlay" for="__drawer"></label>
    
      <a href="#eos" tabindex="1" class="md-skip">
        Skip to content
      </a>
    
    
      <header class="md-header" data-md-component="header">
  <nav class="md-header-nav md-grid">
    <div class="md-flex">
      <div class="md-flex__cell md-flex__cell--shrink">
        <a href="https://davidban77.gitlab.io/netapi" title="NetAPI" class="md-header-nav__button md-logo">
          
            <i class="md-icon"></i>
          
        </a>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        <label class="md-icon md-icon--menu md-header-nav__button" for="__drawer"></label>
      </div>
      <div class="md-flex__cell md-flex__cell--stretch">
        <div class="md-flex__ellipsis md-header-nav__title" data-md-component="title">
          
            <span class="md-header-nav__topic">
              NetAPI
            </span>
            <span class="md-header-nav__topic">
              
                EOS
              
            </span>
          
        </div>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        
          <label class="md-icon md-icon--search md-header-nav__button" for="__search"></label>
          
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="query" data-md-state="active">
      <label class="md-icon md-search__icon" for="__search"></label>
      <button type="reset" class="md-icon md-search__icon" data-md-component="reset" tabindex="-1">
        &#xE5CD;
      </button>
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="result">
          <div class="md-search-result__meta">
            Type to start searching
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
        
      </div>
      
        <div class="md-flex__cell md-flex__cell--shrink">
          <div class="md-header-nav__source">
            


  

<a href="https://gitlab.com/the-networkers/netaudithor/netapi/" title="Go to repository" class="md-source" data-md-source="gitlab">
  
    <div class="md-source__icon">
      <svg viewBox="0 0 24 24" width="24" height="24">
        <use xlink:href="#__gitlab" width="24" height="24"></use>
      </svg>
    </div>
  
  <div class="md-source__repository">
    netaudithor/netapi
  </div>
</a>
          </div>
        </div>
      
    </div>
  </nav>
</header>
    
    <div class="md-container">
      
        
      
      
        

  

<nav class="md-tabs md-tabs--active" data-md-component="tabs">
  <div class="md-tabs__inner md-grid">
    <ul class="md-tabs__list">
      
        
  <li class="md-tabs__item">
    
      <a href="../.." class="md-tabs__link">
        Overview
      </a>
    
  </li>

      
        
  
  
    
    
  
  
    <li class="md-tabs__item">
      
        <a href="../api_net_reference/" class="md-tabs__link md-tabs__link--active">
          API Reference
        </a>
      
    </li>
  

  

      
        
  
  
    <li class="md-tabs__item">
      
        <a href="../../about/changelog/" class="md-tabs__link">
          About
        </a>
      
    </li>
  

      
    </ul>
  </div>
</nav>
      
      <main class="md-main" role="main">
        <div class="md-main__inner md-grid" data-md-component="container">
          
            
              <div class="md-sidebar md-sidebar--primary" data-md-component="navigation">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    <nav class="md-nav md-nav--primary" data-md-level="0">
  <label class="md-nav__title md-nav__title--site" for="__drawer">
    <a href="https://davidban77.gitlab.io/netapi" title="NetAPI" class="md-nav__button md-logo">
      
        <i class="md-icon"></i>
      
    </a>
    NetAPI
  </label>
  
    <div class="md-nav__source">
      


  

<a href="https://gitlab.com/the-networkers/netaudithor/netapi/" title="Go to repository" class="md-source" data-md-source="gitlab">
  
    <div class="md-source__icon">
      <svg viewBox="0 0 24 24" width="24" height="24">
        <use xlink:href="#__gitlab" width="24" height="24"></use>
      </svg>
    </div>
  
  <div class="md-source__repository">
    netaudithor/netapi
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      


  <li class="md-nav__item">
    <a href="../.." title="Overview" class="md-nav__link">
      Overview
    </a>
  </li>

    
      
      
      

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2" type="checkbox" id="nav-2" checked>
    
    <label class="md-nav__link" for="nav-2">
      API Reference
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-2">
        API Reference
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-1" type="checkbox" id="nav-2-1" checked>
    
    <label class="md-nav__link" for="nav-2-1">
      Net Entities
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-1">
        Net Entities
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_net_reference/" title="Builders and Net Objects" class="md-nav__link">
      Builders and Net Objects
    </a>
  </li>

        
          
          
          

  


  <li class="md-nav__item md-nav__item--active">
    
    <input class="md-toggle md-nav__toggle" data-md-toggle="toc" type="checkbox" id="__toc">
    
    
      <label class="md-nav__link md-nav__link--active" for="__toc">
        EOS
      </label>
    
    <a href="./" title="EOS" class="md-nav__link md-nav__link--active">
      EOS
    </a>
    
      
<nav class="md-nav md-nav--secondary">
  
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#eos" class="md-nav__link">
    eos
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#eospyeapier" class="md-nav__link">
    eos.pyeapier
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#update_attrs" class="md-nav__link">
    update_attrs()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#update_container_attrs" class="md-nav__link">
    update_container_attrs()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlans-objects" class="md-nav__link">
    Vlans Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vlansgenerate_get_cmd" class="md-nav__link">
    Vlans.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlansretrieve" class="md-nav__link">
    Vlans.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlan-objects" class="md-nav__link">
    Vlan Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vlangenerate_get_cmd" class="md-nav__link">
    Vlan.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlanretrieve" class="md-nav__link">
    Vlan.retrieve()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlanenable" class="md-nav__link">
    Vlan.enable()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlandisable" class="md-nav__link">
    Vlan.disable()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlan-objects" class="md-nav__link">
    ParseVlan Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parsevlandata_constructor" class="md-nav__link">
    ParseVlan.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlandata_validation" class="md-nav__link">
    ParseVlan.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlanparse" class="md-nav__link">
    ParseVlan.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlancollector_parse" class="md-nav__link">
    ParseVlan.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrps-objects" class="md-nav__link">
    Vrrps Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vrrpsgenerate_get_cmd" class="md-nav__link">
    Vrrps.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpsretrieve" class="md-nav__link">
    Vrrps.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrp-objects" class="md-nav__link">
    Vrrp Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vrrpgenerate_get_cmd" class="md-nav__link">
    Vrrp.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpretrieve" class="md-nav__link">
    Vrrp.retrieve()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpenable" class="md-nav__link">
    Vrrp.enable()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpdisable" class="md-nav__link">
    Vrrp.disable()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrp-objects" class="md-nav__link">
    ParseVrrp Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parsevrrpdata_constructor" class="md-nav__link">
    ParseVrrp.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrpdata_validation" class="md-nav__link">
    ParseVrrp.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrpparse" class="md-nav__link">
    ParseVrrp.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrpcollector_parse" class="md-nav__link">
    ParseVrrp.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfaces-objects" class="md-nav__link">
    Interfaces Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#interfacesgenerate_get_cmd" class="md-nav__link">
    Interfaces.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfacesretrieve" class="md-nav__link">
    Interfaces.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interface-objects" class="md-nav__link">
    Interface Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#interfacegenerate_get_cmd" class="md-nav__link">
    Interface.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfaceretrieve" class="md-nav__link">
    Interface.retrieve()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfaceenable" class="md-nav__link">
    Interface.enable()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfacedisable" class="md-nav__link">
    Interface.disable()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterface-objects" class="md-nav__link">
    ParseInterface Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parseinterfacedata_constructor" class="md-nav__link">
    ParseInterface.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterfacedata_validation" class="md-nav__link">
    ParseInterface.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterfaceparse" class="md-nav__link">
    ParseInterface.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterfacecollector_parse" class="md-nav__link">
    ParseInterface.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#facts-objects" class="md-nav__link">
    Facts Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#factsgenerate_get_cmd" class="md-nav__link">
    Facts.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#factsretrieve" class="md-nav__link">
    Facts.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsefacts-objects" class="md-nav__link">
    ParseFacts Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parsefactsdata_constructor" class="md-nav__link">
    ParseFacts.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsefactsparse" class="md-nav__link">
    ParseFacts.parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#routes-objects" class="md-nav__link">
    Routes Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#routesgenerate_get_cmd" class="md-nav__link">
    Routes.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#routesretrieve" class="md-nav__link">
    Routes.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#route-objects" class="md-nav__link">
    Route Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#routegenerate_get_cmd" class="md-nav__link">
    Route.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#routeretrieve" class="md-nav__link">
    Route.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseroute-objects" class="md-nav__link">
    ParseRoute Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parseroutedata_constructor" class="md-nav__link">
    ParseRoute.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseroutedata_validation" class="md-nav__link">
    ParseRoute.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parserouteparse" class="md-nav__link">
    ParseRoute.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseroutecollector_parse" class="md-nav__link">
    ParseRoute.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
    
  </li>

        
      </ul>
    </nav>
  </li>

        
          
          
          


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-2" type="checkbox" id="nav-2-2">
    
    <label class="md-nav__link" for="nav-2-2">
      Connectors
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-2">
        Connectors
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_reference/" title="Builders and Connector Objects" class="md-nav__link">
      Builders and Connector Objects
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_connector_linux_reference/" title="Linux" class="md-nav__link">
      Linux
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
          
          
          


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2-3" type="checkbox" id="nav-2-3">
    
    <label class="md-nav__link" for="nav-2-3">
      Probes
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="2">
      <label class="md-nav__title" for="nav-2-3">
        Probes
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_reference/" title="Builders and Probe Objects" class="md-nav__link">
      Builders and Probe Objects
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_eos_reference/" title="EOS" class="md-nav__link">
      EOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_ios_reference/" title="IOS" class="md-nav__link">
      IOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_xe_reference/" title="IOS-XE" class="md-nav__link">
      IOS-XE
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_xr_reference/" title="IOS-XR" class="md-nav__link">
      IOS-XR
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_nxos_reference/" title="NXOS" class="md-nav__link">
      NXOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_junos_reference/" title="JUNOS" class="md-nav__link">
      JUNOS
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../api_probe_linux_reference/" title="Linux" class="md-nav__link">
      Linux
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-3" type="checkbox" id="nav-3">
    
    <label class="md-nav__link" for="nav-3">
      About
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-3">
        About
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../about/changelog/" title="Release Notes" class="md-nav__link">
      Release Notes
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../about/license/" title="License" class="md-nav__link">
      License
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              <div class="md-sidebar md-sidebar--secondary" data-md-component="toc">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary">
  
  
  
    <label class="md-nav__title" for="__toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#eos" class="md-nav__link">
    eos
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#eospyeapier" class="md-nav__link">
    eos.pyeapier
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#update_attrs" class="md-nav__link">
    update_attrs()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#update_container_attrs" class="md-nav__link">
    update_container_attrs()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlans-objects" class="md-nav__link">
    Vlans Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vlansgenerate_get_cmd" class="md-nav__link">
    Vlans.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlansretrieve" class="md-nav__link">
    Vlans.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlan-objects" class="md-nav__link">
    Vlan Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vlangenerate_get_cmd" class="md-nav__link">
    Vlan.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlanretrieve" class="md-nav__link">
    Vlan.retrieve()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlanenable" class="md-nav__link">
    Vlan.enable()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vlandisable" class="md-nav__link">
    Vlan.disable()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlan-objects" class="md-nav__link">
    ParseVlan Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parsevlandata_constructor" class="md-nav__link">
    ParseVlan.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlandata_validation" class="md-nav__link">
    ParseVlan.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlanparse" class="md-nav__link">
    ParseVlan.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevlancollector_parse" class="md-nav__link">
    ParseVlan.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrps-objects" class="md-nav__link">
    Vrrps Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vrrpsgenerate_get_cmd" class="md-nav__link">
    Vrrps.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpsretrieve" class="md-nav__link">
    Vrrps.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrp-objects" class="md-nav__link">
    Vrrp Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#vrrpgenerate_get_cmd" class="md-nav__link">
    Vrrp.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpretrieve" class="md-nav__link">
    Vrrp.retrieve()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpenable" class="md-nav__link">
    Vrrp.enable()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#vrrpdisable" class="md-nav__link">
    Vrrp.disable()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrp-objects" class="md-nav__link">
    ParseVrrp Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parsevrrpdata_constructor" class="md-nav__link">
    ParseVrrp.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrpdata_validation" class="md-nav__link">
    ParseVrrp.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrpparse" class="md-nav__link">
    ParseVrrp.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsevrrpcollector_parse" class="md-nav__link">
    ParseVrrp.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfaces-objects" class="md-nav__link">
    Interfaces Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#interfacesgenerate_get_cmd" class="md-nav__link">
    Interfaces.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfacesretrieve" class="md-nav__link">
    Interfaces.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interface-objects" class="md-nav__link">
    Interface Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#interfacegenerate_get_cmd" class="md-nav__link">
    Interface.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfaceretrieve" class="md-nav__link">
    Interface.retrieve()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfaceenable" class="md-nav__link">
    Interface.enable()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#interfacedisable" class="md-nav__link">
    Interface.disable()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterface-objects" class="md-nav__link">
    ParseInterface Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parseinterfacedata_constructor" class="md-nav__link">
    ParseInterface.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterfacedata_validation" class="md-nav__link">
    ParseInterface.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterfaceparse" class="md-nav__link">
    ParseInterface.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseinterfacecollector_parse" class="md-nav__link">
    ParseInterface.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#facts-objects" class="md-nav__link">
    Facts Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#factsgenerate_get_cmd" class="md-nav__link">
    Facts.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#factsretrieve" class="md-nav__link">
    Facts.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsefacts-objects" class="md-nav__link">
    ParseFacts Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parsefactsdata_constructor" class="md-nav__link">
    ParseFacts.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parsefactsparse" class="md-nav__link">
    ParseFacts.parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#routes-objects" class="md-nav__link">
    Routes Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#routesgenerate_get_cmd" class="md-nav__link">
    Routes.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#routesretrieve" class="md-nav__link">
    Routes.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#route-objects" class="md-nav__link">
    Route Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#routegenerate_get_cmd" class="md-nav__link">
    Route.generate_get_cmd()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#routeretrieve" class="md-nav__link">
    Route.retrieve()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseroute-objects" class="md-nav__link">
    ParseRoute Objects
  </a>
  
    <nav class="md-nav">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#parseroutedata_constructor" class="md-nav__link">
    ParseRoute.data_constructor()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseroutedata_validation" class="md-nav__link">
    ParseRoute.data_validation()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parserouteparse" class="md-nav__link">
    ParseRoute.parse()
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parseroutecollector_parse" class="md-nav__link">
    ParseRoute.collector_parse()
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content">
            <article class="md-content__inner md-typeset">
              
                
                  <a href="https://gitlab.com/the-networkers/netaudithor/netapi/edit/master/docs/api/api_net_eos_reference.md" title="Edit this page" class="md-icon md-content__icon">&#xE3C9;</a>
                
                
                  <h1>EOS</h1>
                
                <h2 id="eos"><code>eos</code><a class="headerlink" href="#eos" title="Permanent link">*</a></h2>
<h2 id="eospyeapier"><code>eos.pyeapier</code><a class="headerlink" href="#eospyeapier" title="Permanent link">*</a></h2>
<p>EOS Pyeapi module.</p>
<p>Contains the method to create Network Objects for the EOS-PYEAPI implementation.</p>
<h3 id="update_attrs"><code>update_attrs()</code><a class="headerlink" href="#update_attrs" title="Permanent link">*</a></h3>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">update_attrs</span><span class="p">(</span><span class="n">obj</span><span class="p">,</span> <span class="n">data_dict</span><span class="p">)</span>
</pre></div>


<p>Updates object attributes based on data from dictionary</p>
<h3 id="update_container_attrs"><code>update_container_attrs()</code><a class="headerlink" href="#update_container_attrs" title="Permanent link">*</a></h3>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">update_container_attrs</span><span class="p">(</span><span class="n">obj</span><span class="p">,</span> <span class="n">list_of_dict</span><span class="p">,</span> <span class="n">entity</span><span class="p">)</span>
</pre></div>


<p>Updates collections based on data from dictionary contained in list</p>
<h3 id="vlans-objects"><code>Vlans</code> Objects<a class="headerlink" href="#vlans-objects" title="Permanent link">*</a></h3>
<h4 id="vlansgenerate_get_cmd"><code>Vlans.generate_get_cmd()</code><a class="headerlink" href="#vlansgenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="n">vlan_range</span><span class="o">=</span><span class="bp">None</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build a collection of entities</p>
<h4 id="vlansretrieve"><code>Vlans.retrieve()</code><a class="headerlink" href="#vlansretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection. A connector object has to be passed</p>
<h3 id="vlan-objects"><code>Vlan</code> Objects<a class="headerlink" href="#vlan-objects" title="Permanent link">*</a></h3>
<h4 id="vlangenerate_get_cmd"><code>Vlan.generate_get_cmd()</code><a class="headerlink" href="#vlangenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="nb">id</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build the entity</p>
<h4 id="vlanretrieve"><code>Vlan.retrieve()</code><a class="headerlink" href="#vlanretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection by running get_cmd</p>
<h4 id="vlanenable"><code>Vlan.enable()</code><a class="headerlink" href="#vlanenable" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">enable</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>


<p>Enable VLAN</p>
<h4 id="vlandisable"><code>Vlan.disable()</code><a class="headerlink" href="#vlandisable" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">disable</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>


<p>Disable VLAN</p>
<h3 id="parsevlan-objects"><code>ParseVlan</code> Objects<a class="headerlink" href="#parsevlan-objects" title="Permanent link">*</a></h3>
<h4 id="parsevlandata_constructor"><code>ParseVlan.data_constructor()</code><a class="headerlink" href="#parsevlandata_constructor" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_constructor</span><span class="p">(</span><span class="n">vlan_id</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>If no data is passed a known error</p>
<h4 id="parsevlandata_validation"><code>ParseVlan.data_validation()</code><a class="headerlink" href="#parsevlandata_validation" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_validation</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">entity</span><span class="o">=</span><span class="bp">True</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns useful data and performs some initial validations</p>
<h4 id="parsevlanparse"><code>ParseVlan.parse()</code><a class="headerlink" href="#parsevlanparse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns a dictionary with the entity data parsed</p>
<h4 id="parsevlancollector_parse"><code>ParseVlan.collector_parse()</code><a class="headerlink" href="#parsevlancollector_parse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">collector_parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns list of dictionaries of each entity parsed</p>
<h3 id="vrrps-objects"><code>Vrrps</code> Objects<a class="headerlink" href="#vrrps-objects" title="Permanent link">*</a></h3>
<h4 id="vrrpsgenerate_get_cmd"><code>Vrrps.generate_get_cmd()</code><a class="headerlink" href="#vrrpsgenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="n">instance</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">interface</span><span class="o">=</span><span class="bp">None</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build a collection of entities</p>
<h4 id="vrrpsretrieve"><code>Vrrps.retrieve()</code><a class="headerlink" href="#vrrpsretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection. A connector object has to be passed</p>
<h3 id="vrrp-objects"><code>Vrrp</code> Objects<a class="headerlink" href="#vrrp-objects" title="Permanent link">*</a></h3>
<h4 id="vrrpgenerate_get_cmd"><code>Vrrp.generate_get_cmd()</code><a class="headerlink" href="#vrrpgenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="n">group_id</span><span class="p">,</span> <span class="n">interface</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">instance</span><span class="o">=</span><span class="bp">None</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build the entity</p>
<h4 id="vrrpretrieve"><code>Vrrp.retrieve()</code><a class="headerlink" href="#vrrpretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data update on the object</p>
<h4 id="vrrpenable"><code>Vrrp.enable()</code><a class="headerlink" href="#vrrpenable" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">enable</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>


<p>Enable VRRP group</p>
<h4 id="vrrpdisable"><code>Vrrp.disable()</code><a class="headerlink" href="#vrrpdisable" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">disable</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>


<p>Disable VRRP group</p>
<h3 id="parsevrrp-objects"><code>ParseVrrp</code> Objects<a class="headerlink" href="#parsevrrp-objects" title="Permanent link">*</a></h3>
<h4 id="parsevrrpdata_constructor"><code>ParseVrrp.data_constructor()</code><a class="headerlink" href="#parsevrrpdata_constructor" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_constructor</span><span class="p">(</span><span class="n">data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>If no data is passed a known error</p>
<h4 id="parsevrrpdata_validation"><code>ParseVrrp.data_validation()</code><a class="headerlink" href="#parsevrrpdata_validation" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_validation</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">entity</span><span class="o">=</span><span class="bp">True</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns useful data and performs some initial validations</p>
<h4 id="parsevrrpparse"><code>ParseVrrp.parse()</code><a class="headerlink" href="#parsevrrpparse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns a dictionary with the entity data parsed</p>
<h4 id="parsevrrpcollector_parse"><code>ParseVrrp.collector_parse()</code><a class="headerlink" href="#parsevrrpcollector_parse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">collector_parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns list of dictionaries of each entity parsed</p>
<h3 id="interfaces-objects"><code>Interfaces</code> Objects<a class="headerlink" href="#interfaces-objects" title="Permanent link">*</a></h3>
<h4 id="interfacesgenerate_get_cmd"><code>Interfaces.generate_get_cmd()</code><a class="headerlink" href="#interfacesgenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="n">interface_range</span><span class="o">=</span><span class="bp">None</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build the collection of entities</p>
<h4 id="interfacesretrieve"><code>Interfaces.retrieve()</code><a class="headerlink" href="#interfacesretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection. A connector object has to be passed</p>
<h3 id="interface-objects"><code>Interface</code> Objects<a class="headerlink" href="#interface-objects" title="Permanent link">*</a></h3>
<h4 id="interfacegenerate_get_cmd"><code>Interface.generate_get_cmd()</code><a class="headerlink" href="#interfacegenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="n">name</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build the entity</p>
<h4 id="interfaceretrieve"><code>Interface.retrieve()</code><a class="headerlink" href="#interfaceretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection by running get_cmd</p>
<h4 id="interfaceenable"><code>Interface.enable()</code><a class="headerlink" href="#interfaceenable" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">enable</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>


<p>Enable Interface</p>
<h4 id="interfacedisable"><code>Interface.disable()</code><a class="headerlink" href="#interfacedisable" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">disable</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>


<p>Disable Interface</p>
<h3 id="parseinterface-objects"><code>ParseInterface</code> Objects<a class="headerlink" href="#parseinterface-objects" title="Permanent link">*</a></h3>
<h4 id="parseinterfacedata_constructor"><code>ParseInterface.data_constructor()</code><a class="headerlink" href="#parseinterfacedata_constructor" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_constructor</span><span class="p">(</span><span class="n">intf_name</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>If no data is passed a known error</p>
<h4 id="parseinterfacedata_validation"><code>ParseInterface.data_validation()</code><a class="headerlink" href="#parseinterfacedata_validation" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_validation</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">entity</span><span class="o">=</span><span class="bp">True</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns useful data and performs some initial validations</p>
<h4 id="parseinterfaceparse"><code>ParseInterface.parse()</code><a class="headerlink" href="#parseinterfaceparse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns a dictionary with the entity data parsed</p>
<h4 id="parseinterfacecollector_parse"><code>ParseInterface.collector_parse()</code><a class="headerlink" href="#parseinterfacecollector_parse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">collector_parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns list of dictionaries of each entity parsed</p>
<h3 id="facts-objects"><code>Facts</code> Objects<a class="headerlink" href="#facts-objects" title="Permanent link">*</a></h3>
<h4 id="factsgenerate_get_cmd"><code>Facts.generate_get_cmd()</code><a class="headerlink" href="#factsgenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">()</span>
</pre></div>


<p>Returns commands necessary to build the entity</p>
<h4 id="factsretrieve"><code>Facts.retrieve()</code><a class="headerlink" href="#factsretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection</p>
<h3 id="parsefacts-objects"><code>ParseFacts</code> Objects<a class="headerlink" href="#parsefacts-objects" title="Permanent link">*</a></h3>
<h4 id="parsefactsdata_constructor"><code>ParseFacts.data_constructor()</code><a class="headerlink" href="#parsefactsdata_constructor" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_constructor</span><span class="p">(</span><span class="n">hostname</span><span class="p">,</span> <span class="n">version</span><span class="p">,</span> <span class="n">interfaces</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>If no data is passed a known error</p>
<h4 id="parsefactsparse"><code>ParseFacts.parse()</code><a class="headerlink" href="#parsefactsparse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<h3 id="routes-objects"><code>Routes</code> Objects<a class="headerlink" href="#routes-objects" title="Permanent link">*</a></h3>
<h4 id="routesgenerate_get_cmd"><code>Routes.generate_get_cmd()</code><a class="headerlink" href="#routesgenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="n">protocol</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">instance</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">vrf_all</span><span class="o">=</span><span class="bp">False</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build a collection of entities</p>
<h4 id="routesretrieve"><code>Routes.retrieve()</code><a class="headerlink" href="#routesretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection. A connector object has to be passed</p>
<h3 id="route-objects"><code>Route</code> Objects<a class="headerlink" href="#route-objects" title="Permanent link">*</a></h3>
<h4 id="routegenerate_get_cmd"><code>Route.generate_get_cmd()</code><a class="headerlink" href="#routegenerate_get_cmd" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">generate_get_cmd</span><span class="p">(</span><span class="n">dest</span><span class="p">,</span> <span class="n">instance</span><span class="o">=</span><span class="bp">None</span><span class="p">)</span>
</pre></div>


<p>Returns commands necessary to build the entity.</p>
<p>NOTE: This is preferred over the original <code>get(name)</code> method of pyeapi because
it provides with much more info</p>
<h4 id="routeretrieve"><code>Route.retrieve()</code><a class="headerlink" href="#routeretrieve" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="k">def</span> <span class="nf">retrieve</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">_ignore</span><span class="p">)</span>
</pre></div>


<p>Automatic trigger a data collection by running the get_cmd</p>
<h3 id="parseroute-objects"><code>ParseRoute</code> Objects<a class="headerlink" href="#parseroute-objects" title="Permanent link">*</a></h3>
<h4 id="parseroutedata_constructor"><code>ParseRoute.data_constructor()</code><a class="headerlink" href="#parseroutedata_constructor" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_constructor</span><span class="p">(</span><span class="n">_instance</span><span class="p">,</span> <span class="n">_route</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<h4 id="parseroutedata_validation"><code>ParseRoute.data_validation()</code><a class="headerlink" href="#parseroutedata_validation" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">data_validation</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">entity</span><span class="o">=</span><span class="bp">True</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns useful data and performs some initial validations</p>
<h4 id="parserouteparse"><code>ParseRoute.parse()</code><a class="headerlink" href="#parserouteparse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns a dictionary with the entity data parsed</p>
<h4 id="parseroutecollector_parse"><code>ParseRoute.collector_parse()</code><a class="headerlink" href="#parseroutecollector_parse" title="Permanent link">*</a></h4>
<div class="codehilite"><pre><span></span><span class="nd">@staticmethod</span>
<span class="k">def</span> <span class="nf">collector_parse</span><span class="p">(</span><span class="n">raw_data</span><span class="p">,</span> <span class="n">kwargs</span><span class="p">)</span>
</pre></div>


<p>Returns list of dictionaries of each entity parsed</p>
                
                  
                
              
              
                


              
            </article>
          </div>
        </div>
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid">
        
          <a href="../api_net_reference/" title="Builders and Net Objects" class="md-flex md-footer-nav__link md-footer-nav__link--prev" rel="prev">
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-back md-footer-nav__button"></i>
            </div>
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Previous
                </span>
                Builders and Net Objects
              </span>
            </div>
          </a>
        
        
          <a href="../api_connector_reference/" title="Builders and Connector Objects" class="md-flex md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                Builders and Connector Objects
              </span>
            </div>
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-forward md-footer-nav__button"></i>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
        powered by
        <a href="https://www.mkdocs.org">MkDocs</a>
        and
        <a href="https://squidfunk.github.io/mkdocs-material/">
          Material for MkDocs</a>
      </div>
      
  <div class="md-footer-social">
    <link rel="stylesheet" href="../../assets/fonts/font-awesome.css">
    
      <a href="https://github.com/davidban77" class="md-footer-social__link fa fa-github"></a>
    
      <a href="https://twitter.com/davidban77" class="md-footer-social__link fa fa-twitter"></a>
    
  </div>

    </div>
  </div>
</footer>
      
    </div>
    
      <script src="../../assets/javascripts/application.ac79c3b0.js"></script>
      
      <script>app.initialize({version:"1.0.4",url:{base:"../.."}})</script>
      
    
  </body>
</html>